Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1062324 - Review Request: gstreamer1-vaapi - GStreamer plugins to use VA API video acceleration
Summary: Review Request: gstreamer1-vaapi - GStreamer plugins to use VA API video acce...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adam Williamson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-06 16:30 UTC by Simon Farnsworth
Modified: 2014-02-14 04:44 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-07 10:30:15 UTC
awilliam: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Simon Farnsworth 2014-02-06 16:30:50 UTC
Spec URL: http://90.155.96.198/sfarnsworth/gstreamer1-vaapi.spec
SRPM URL: http://90.155.96.198/sfarnsworth/gstreamer1-vaapi-0.5.8-1.fc20.src.rpm
Description: A set of GStreamer 1.x plugins for using libva (VA API) to handle video.

I'm using this in-house, so offering the package up to the wider Fedora community.

I believe that the legal issues are covered by the same reasoning as libva itself (https://bugzilla.redhat.com/show_bug.cgi?id=518546) - this package does not itself do any decoding, it simply passes video data through to libva, which then passes it to a driver that infringes patents. I'm going to block FE-LEGAL, though, so that my reasoning can be reviewed.

Fedora Account System Username: farnz

Comment 1 Tom "spot" Callaway 2014-02-06 17:10:34 UTC
Yeah, since this is just passing through to libva for the work (and that is passing through to the drivers), there is no issue here. Thanks for checking though. Lifting FE-Legal.

Comment 2 Adam Williamson 2014-02-06 19:12:41 UTC
What the hell, I'll take it. Builds fine in koji on rawhide. rpmlint output looks good:

[adamw@adam SRPMS]$ rpmlint gstreamer1-vaapi-0.5.8-1.fc20.src.rpm 
gstreamer1-vaapi.src: W: spelling-error Summary(en_US) GStreamer -> G Streamer, Streamer, Steamer
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
[adamw@adam x86_64]$ rpmlint gstreamer1-vaapi-*
gstreamer1-vaapi.x86_64: W: spelling-error Summary(en_US) GStreamer -> G Streamer, Streamer, Steamer
2 packages and 0 specfiles checked; 0 errors, 1 warnings.

I don't see any nasties in the licensing, and spot signs off on the patent thing, so we're fine there.

"MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory" - there's an auto-generated (library) dependency on gstreamer1, which owns %_libdir/gstreamer-1.0 . as these packages are very tightly coupled I think we're fine without an explicit dependency.

As -devel requires the main package I'm not sure it's really necessary to dupe all the documentation, but hey, it's small.

All MUST items in the guidelines look fine. Nice job, first time review pass. Package is approved.

Comment 3 Simon Farnsworth 2014-02-06 21:07:35 UTC
New Package SCM Request
=======================
Package Name: gstreamer1-vaapi
Short Description: GStreamer plugins to use VA API video acceleration
Owners: farnz
Branches: f20
InitialCC:

Comment 4 Gwyn Ciesla 2014-02-07 00:09:08 UTC
Git done (by process-git-requests).

Comment 5 Simon Farnsworth 2014-02-07 10:30:15 UTC
I've built this for Fedora 20 and Rawhide, but testing the F20 build has shown that there's an upstream bug that I'd like to resolve before I push an update via Bodhi. Closing this bug.

Comment 6 Adam Williamson 2014-02-07 17:46:07 UTC
I tested it briefly on Rawhide and it seemed to work, FWIW - loaded an h.264 HD video in Totem and it played with <10% CPU usage (with the driver installed: I'm in Canada, I'm patent-safe :>). vainfo reports the correct capabilities.

Comment 7 Simon Farnsworth 2014-02-07 20:32:23 UTC
(In reply to Adam Williamson from comment #6)
> I tested it briefly on Rawhide and it seemed to work, FWIW - loaded an h.264
> HD video in Totem and it played with <10% CPU usage (with the driver
> installed: I'm in Canada, I'm patent-safe :>). vainfo reports the correct
> capabilities.

It's most dramatic if you use it with a high bitrate video (30MBit/s or more) on a CPU limited platform (like Intel Baytrail); going from 100% CPU load on all cores and lots of frame dropping to around 10% CPU usage and full frame rate is a clear and obvious improvement.

FWIW, I got to the bottom of the bug I was facing, and have pushed a package in the direction of F20 (via Bodhi) - https://admin.fedoraproject.org/updates/gstreamer1-vaapi-0.5.8-3.fc20

Comment 8 Adam Williamson 2014-02-07 20:50:56 UTC
nice! I'm actually planning to test it on baytrail today, if I ever finish shaving this yak herd.


Note You need to log in before you can comment on or make changes to this bug.